Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.state.events
Class CollapseAllCommandEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.component.state.events.TreeStateCommandEvent
                  org.richfaces.component.state.events.CollapseAllCommandEvent

All Implemented Interfaces:
  java.io.Serializable

    public class CollapseAllCommandEvent

extends TreeStateCommandEvent

Author:
  Nick - mailto:nbelaevski@exadel.com created 01.12.2006
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CollapseAllCommandEvent(javax.faces.component.UIComponent component)`

Method Summary
`protected void` | `execute(TreeStateCommandsListener commandsListener)`

Methods inherited from class org.richfaces.component.state.events.TreeStateCommandEvent
`isAppropriateListener, processListener`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollapseAllCommandEvent

    public CollapseAllCommandEvent(javax.faces.component.UIComponent component)

Method Detail

### execute

    protected void execute(TreeStateCommandsListener commandsListener)
                    throws java.io.IOException

  Specified by:
    `execute` in class `TreeStateCommandEvent`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.